#include <Wire.h>
#include <I2C_LCD.h>
I2C_LCD LCD;
uint8_t I2C_LCD_ADDRESS = 0x51; //器件地址设置，默认值0x51

void setup(void)
{
    Wire.begin();           //初始化I2C控制器
}

void loop(void)
{
    LCD.CleanAll(WHITE);    //白色清屏
    delay(1000);            //延迟1s

    //8X16像素字体1，自动换行，黑色字符-白色背景色
    LCD.FontModeConf(Font_8x16_1, FM_ANL_AAA, BLACK_BAC);
    LCD.DispStringAt("12:00:00", 0, 30);    //显示时钟字符串
    delay(2000);            //延迟2s                

    //将光标指示到秒的个位
    //按照字体宽度计算秒个位的位置:x=8X7=56
    //根据字符的起始位置计算光标起始y坐标:y=30
    //按照字体宽度计算光标宽度:width=8
    //按照字体高度计算光标高度:height=16
    //Prototype: void CursorGotoXY(x, y, width, height)
    LCD.CursorGotoXY(56, 30, 8, 16);
    LCD.CursorConf(ON, 6);  //开启光标，闪烁等级6
    delay(5000);            //延迟5s

    //将光标指示到秒的十位
    LCD.CursorGotoXY(48, 30, 8, 16);

    delay(5000);            //延迟5s
    LCD.CursorConf(OFF, 6); //关闭光标
    
    while(1); //使程序停止运行
}


