#include <Wire.h>
#include <I2C_LCD.h>

I2C_LCD LCD;
extern GUI_Bitmap_t bmTuzki;       //声明位图数据包
extern GUI_Bitmap_t bmSPLogo;     //声明位图数据包
uint8_t I2C_LCD_ADDRESS = 0x51;  //器件地址设置，默认值0x51

void setup(void)
{
    Wire.begin();           //初始化I2C控制器
}

void loop(void)
{
    LCD.CleanAll(WHITE);    //白色清屏
    delay(1000);            //延迟1s

    //开启开机Logo显示，开启背光，位图工作模式
    //如要显示字符，需将模式切换为字符模式WM_CharMode
    LCD.WorkingModeConf(ON, ON, WM_BitmapMode);
    
    //在指定位置显示位图(需要位图数据包文件),
    //数据包文件生成方法请参照5.3小节
    LCD.DrawScreenAreaAt(&bmTuzki, 30, 0);
    delay(5000);            //延迟5s

    //在指定位置显示位图(需要位图数据包文件)
    LCD.DrawScreenAreaAt(&bmSPLogo, 0, 0);
    
    while(1); //使程序停止运行
}

