#include <Wire.h>
#include <I2C_LCD.h>
I2C_LCD LCD;
uint8_t I2C_LCD_ADDRESS = 0x51; //器件地址设置，默认值0x51

void setup(void)
{
    Wire.begin();           //初始化I2C控制器
    Serial.begin(115200);   //初始化串口，115200波特率
}

void loop(void)
{
    uint8_t buf = 0;        //缓存
    
    LCD.CleanAll(WHITE);    //白色清屏
    delay(1000);            //延迟1s

    //开启开机Logo显示，开启背光，显存操作模式
    //如要显示字符，需将模式切换为字符模式WM_CharMode
    LCD.WorkingModeConf(ON, ON, WM_RamMode);

    //写入一个字节显存到指定位置
    //Prototype: void WriteByteDispRAM(buf, x, y)
    LCD.WriteByteDispRAM(0xAE, 0, 1);
    delay(3000);            //延迟3s

    //从指定位置读取一个字节显存
    //Prototype:uint8_t ReadByteDispRAM(x, y)
    buf = LCD.ReadByteDispRAM(0, 1);

    //将读到的显存数据打印到串口监视器
    //以16进制格式打印
    Serial.print("buf = 0x");
    Serial.println(buf, HEX);
    
    while(1); //使程序停止运行
}


