#include <Wire.h>
#include <I2C_LCD.h>
I2C_LCD LCD;
uint8_t I2C_LCD_ADDRESS = 0x51; //器件地址设置，默认值0x51

void setup(void)
{
    Wire.begin();           //初始化I2C控制器
    Serial.begin(115200);   //初始化串口，115200波特率
}

void loop(void)
{
    uint8_t buf1[3] = {0xFA,0xAF,0xA5}; //写入缓存
    uint8_t buf2[3] = {0};              //读取缓存
    uint8_t adder;
    
    LCD.CleanAll(WHITE);    //白色清屏
    delay(1000);            //延迟1s

    //将buf1数组中的数据打印到串口监视器
    Serial.print("buf1[3] =");          
    for(adder=0; adder<3; adder++)
    {
        //以16进制格式打印
        Serial.print(" 0x");
        Serial.print(buf1[adder], HEX); 
    }
    Serial.println("");     //换行
    
    //开启开机Logo显示，开启背光，显存操作模式
    //如要显示字符，需将模式切换为字符模式WM_CharMode
    LCD.WorkingModeConf(ON, ON, WM_RamMode);

    //将buf1中存储的数据作为显存连续写入到指定位置
    //Prototype: void WriteSeriesDispRAM(*buf, length, x, y)
    LCD.WriteSeriesDispRAM(buf1, 3, 1, 1);
    delay(3000);            //延迟3s

    //从指定位置连续读取显存，并存储到buf2数组中
    //Prototype: void ReadSeriesDispRAM(*buf, length, x, y)
    LCD.ReadSeriesDispRAM(buf2, 3, 1, 1);
    
    //将buf2数组中的数据打印到串口监视器
    Serial.print("buf2[3] =");
    for(adder=0; adder<3; adder++)
    {
        //以16进制格式打印
        Serial.print(" 0x");
        Serial.print(buf2[adder], HEX); 
    }
    Serial.println("");     //换行
    
    while(1); //使程序停止运行
}


