#include <Wire.h>
#include <I2C_LCD.h>

I2C_LCD LCD;
extern GUI_Bitmap_t bmCamera;     //声明位图数据包
uint8_t I2C_LCD_ADDRESS = 0x51; //器件地址设置，默认值0x51

void setup(void)
{
    Wire.begin();           //初始化I2C控制器
}

void loop(void)
{
    LCD.CleanAll(WHITE);    //白色清屏
    delay(1000);            //延迟1s

    //8X16像素字体1，自动换行，黑色字符-白色背景色
    LCD.FontModeConf(Font_8x16_1, FM_ANL_AAA, BLACK_BAC);
    LCD.DispStringAt("Hello!", 50, 10);     //显示字符串
    delay(3000);            //延迟3s

    //开启开机Logo显示，开启背光，位图工作模式
    //如要显示字符，需将模式切换为字符模式WM_CharMode
    LCD.WorkingModeConf(ON, ON, WM_BitmapMode);
    
    //在指定位置显示位图(需要位图数据文件),
    //数据文件生成方法请参考用户手册-位图绘制章节
    LCD.DrawScreenAreaAt(&bmCamera, 0, 0);
    delay(3000);            //延迟3s

    //开启开机Logo显示，开启背光，字符工作模式(系统默认)
    LCD.WorkingModeConf(ON, ON, WM_CharMode);
    LCD.DispStringAt("Director.", 50, 30);
    
    while(1); //使程序停止运行
}


