#include <Wire.h>
#include <I2C_LCD.h>
I2C_LCD LCD;
uint8_t I2C_LCD_ADDRESS = 0x51; //器件地址设置，默认值0x51

void setup(void)
{
    Wire.begin();           //初始化I2C控制器
}

void loop(void)
{
    uint8_t buf[3] = {0xFA,0xAF,0xA5};  //缓存
    
    LCD.CleanAll(WHITE);    //白色清屏
    delay(1000);            //延迟1s

    //8X16像素字体1，自动换行，黑色字符-白色背景色
    LCD.FontModeConf(Font_8x16_1, FM_ANL_AAA, BLACK_BAC);
    LCD.DispStringAt("Hello!", 50, 10);     //显示字符串
    delay(3000);            //延迟3s

    //开启开机Logo显示，开启背光，显存操作模式
    //如要显示字符，需将模式切换为字符模式WM_CharMode
    LCD.WorkingModeConf(ON, ON, WM_RamMode);

    //将buf中存储的数据作为显存连续写入到指定位置
    //Prototype: void WriteSeriesDispRAM(*buf, length, x, y)
    LCD.WriteSeriesDispRAM(buf, 3, 20, 2);
    delay(3000);            //延迟3s

    //开启开机Logo显示，开启背光，字符工作模式(系统默认)
    LCD.WorkingModeConf(ON, ON, WM_CharMode);
    LCD.DispStringAt("Director.", 50, 30);  //显示字符串
    
    while(1); //使程序停止运行
}


