#include <Wire.h>
#include <I2C_LCD.h>
I2C_LCD LCD;
uint8_t I2C_LCD_ADDRESS = 0x51; //器件地址设置，默认值0x51
//uint8_t I2C_LCD_ADDRESS = 0x52; //器件地址设置，默认值0x51

void setup(void)
{
    Wire.begin();           //初始化I2C控制器
}

void loop(void)
{
    LCD.CleanAll(WHITE);    //白色清屏
    delay(1000);            //延迟1s

    //10X20像素字体，自动换行，黑色字符-白色背景色
    LCD.FontModeConf(Font_10x20, FM_ANL_AAA, BLACK_BAC);
    LCD.DispStringAt("Sparking", 0, 10);    //显示字符
    delay(2000);            //延迟2s

    //修改I2C_LCD的器件地址，出厂默认值0x51
    LCD.DeviceAddrEdit(0x52);

    //显示字符，但是由于器件地址与程序目标地址不同，而无法正常工作。
    LCD.DispStringAt("Hello!", 0, 30);

    //通过 I2C_LCD_ADDRESS 变量设置当前程序的目标器件地址，
    //将 I2C_LCD_ADDRESS 变量的值修改为0x52后，I2C_LCD即可正常工作。
    //在忘记I2C_LCD器件地址的情况下，可按照用户手册-恢复出厂章节的说明，
    //将I2C_LCD器件地址恢复为出厂设置:0x51
    
    while(1); //使程序停止运行
}


